Bulk upsert asset criticality records

Base URL
https://{kibana_url}
  • POST /api/asset_criticality/bulk
Auth Deprecated

Deprecated in 9.4.0. Use the Entity Store APIs to bulk assign asset criticality.

Bulk upsert up to 1000 asset criticality records.

If asset criticality records already exist for the specified entities, those records are overwritten with the specified values. If asset criticality records don't exist for the specified entities, new records are created.

Request body

records object[] · min items: 1 · max items: 1000 required
id_field enum required
Values: host.name user.name service.name entity.id
id_value string required

The ID value of the asset.

criticality_level enum required

The criticality level of the asset for bulk upload. The value unassigned is used to indicate that the criticality level is not assigned and is only used for bulk upload.

Values: low_impact medium_impact high_impact extreme_impact unassigned

Responses

Bulk upload successful

application/json
errors object[] required
index integer required
message string required
stats object required
failed integer required
successful integer required
total integer required
413

File too large

Base URL
https://{kibana_url}